summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/websearch2
1 files changed, 2 insertions, 0 deletions
diff --git a/scripts/websearch b/scripts/websearch
index 5ffb91b..7af5b57 100755
--- a/scripts/websearch
+++ b/scripts/websearch
@@ -7,6 +7,8 @@ SEARCH_HISTORY=$HOME/.local/share/search_history
SEARCH=$(cat $SEARCH_HISTORY | dmenu -p "search")
+[ -z "$SEARCH" ] && exit 1
+
echo "$SEARCH" >> $SEARCH_HISTORY
query=$(echo $SEARCH | sed 's/ /+/g')